
<section class="main-container">
    <section class="action-btn">
        <app-logout-btn class="logout-btn"></app-logout-btn>
    </section>
    <section class="doctorList-container">
        <app-doctor-nav-bar></app-doctor-nav-bar>
        <div class="doctor-table"> 
            <h1>MY Messages</h1>
                <div class="doctor-table mat-elevation-z8"> 
                    <mat-table #table  [dataSource]="dataSource" class="table">
        
                     <ng-container matColumnDef="from">
                         <mat-header-cell *matHeaderCellDef> From </mat-header-cell>
                         <mat-cell *matCellDef="let element"> {{element.from[0].name}} </mat-cell>
                     </ng-container>
    
                     <ng-container matColumnDef="messages">
                        <mat-header-cell *matHeaderCellDef> Message </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.text}} </mat-cell>
                    </ng-container>  
                             
                    <ng-container matColumnDef="time">
                        <mat-header-cell *matHeaderCellDef> Time </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.createdAt}} </mat-cell>
                    </ng-container>  
                     
                       <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                       <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                     </mat-table>
                     <mat-paginator #paginator
                                  [pageSize]="5"
                                  [pageSizeOptions]="[5, 10, 20]">
                   </mat-paginator>
                 </div>
        </div>
 
    </section>
</section>
